Bug 468887 - Latest update breaks boot from encrypted hard disk
Latest update breaks boot from encrypted hard disk
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-28 13:01 EDT by Stefan Becker
Modified: 2008-10-30 04:44 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-30 04:44:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stefan Becker 2008-10-28 13:01:11 EDT
Description of problem:

mkinitrd doesn't include cryptsetup, loadkeys, crypto modules, keymaps in the initrd. "init" doesn't have the code to load the modules and ask for the password

Version-Release number of selected component (if applicable): 

mkinitrd-6.0.68-1.fc10.i386

How reproducible: Always

Additional info:

On my system I have an encrypted hard disk partition that is the PV for LVM.
Comment 1 Oleg Girko 2008-10-29 21:13:13 EDT
This bug was introduced in mkinitrd-6.0.68-1. It is not present in mkinitrd-6.0.67-1.
Comment 2 Hans de Goede 2008-10-30 04:09:12 EDT
This is most likely fixed in mkinitrd-6.0.69, by this commit:
http://git.fedorahosted.org/git/?p=mkinitrd;a=commitdiff;h=d1182b445bbb8a1fcd4e693cb2af66c7c7f6bea3

Can you wait till 6.0.69 becomes available in rawhide, and then test it, or apply that patch to /sbin/mkinitrd manually and then try again please?
Comment 3 Stefan Becker 2008-10-30 04:41:31 EDT
That patch fixes the problem for me. Thanks.
Comment 4 Hans de Goede 2008-10-30 04:44:47 EDT
(In reply to comment #3)
> That patch fixes the problem for me. Thanks.

Ok, closing this then.

Note You need to log in before you can comment on or make changes to this bug.